﻿using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace Domain.DTO
{
    public class AttributeType
    {
        [Key]
        public int Id { get; set; }

        public string Name { get; set; }
        public int Type { get; set; }
        public int MinRange { get; set; }
        public int MaxRange { get; set; }
        public string Question { get; set; }
        public List<MultiSelect> MultiSelects { get; set; }
        public int Position { get; set; }
        public ICollection<AttributeType> RelatedAttributes { get; set; }
        
    }

    public enum AttributeEnumType
    {
        Bool  = 1,
        Integer = 2,
        Double = 3,
        MultiSelect = 5
    }
}
