﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Domain.DTO;

namespace Domain.Implementation
{
    public static class DataClassRepository
    {
        public static DataClass GetById(int id)
        {
            if (id == 0) return null;
            using (var context = new DomainDbContext())
            {
                return context.DataClasses.FirstOrDefault(x => x.Id == id);
            }
        }

        public static DataClass Add(DataClass model)
        {
            if (model.Name == "") return null;
            using (var context = new DomainDbContext())
            {
                var addedObject = context.DataClasses.Add(new DataClass()
                {
                    Name = model.Name
                });
                return addedObject;
            }
        }
    }
}
