﻿using System.Collections.Generic;
using Domain.DTO;
using Domain.DTO.DialogueModels;

namespace Domain.Implementation
{
    public interface ICcbrAlgorithm
    {
        DialogueStateModel InitializeDialog(List<DataAttribute> answeredQuestions);
        DialogueStateModel GetNextQuestion();
        void SaveAnswer(DataAttribute question);
        LeaveOneOutResultModel LeaveOneOutTest();
        double GetProgression();
    }
}
