namespace Domain.Migrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class Changeddatasetmodel : DbMigration
    {
        public override void Up()
        {
            AddColumn("dbo.AttributeTypes", "DataSet_Id", c => c.Int());
            CreateIndex("dbo.AttributeTypes", "DataSet_Id");
            AddForeignKey("dbo.AttributeTypes", "DataSet_Id", "dbo.DataSets", "Id");
        }
        
        public override void Down()
        {
            DropForeignKey("dbo.AttributeTypes", "DataSet_Id", "dbo.DataSets");
            DropIndex("dbo.AttributeTypes", new[] { "DataSet_Id" });
            DropColumn("dbo.AttributeTypes", "DataSet_Id");
        }
    }
}
