﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Domain.DTO;
using Domain.DTO.DialogueModels;

namespace Master.Models
{
    public class DatasetViewModel
    {
        public List<DataSet> DataSets { get; set; }
        public CcbrAlgorithms[] Algorithms { get; set; }
        public SimilartyFunctions[] SimilartyFunctions { get; set; }
        public AttributeSelectionFunctions[] AttributeSelectionFunctions { get; set; }
        public ThresholdFunctions[] ThresholdFunctions { get; set; }
        public InferenceMethods[] InferenceMethods { get; set; }
    }
}