﻿using System.Collections.Generic;
using System.Data.Entity;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Domain.DTO;
using Attribute = System.Attribute;

namespace Domain.Implementation
{
   public class DomainDbContext : DbContext
    {
       public DbSet<DataAttribute> DataAttributes { get; set; }
       public DbSet<AttributeType> AttributeTypes { get; set; }
       public DbSet<DataCase> DataCases { get; set; }
       public DbSet<DataClass> DataClasses { get; set; }
       public DbSet<DataSet> DataSets { get; set; }
       public DbSet<MultiSelect> MultiSelects { get; set; }
       public DbSet<RelatedAttributesSimulated> RelatedAttributesSimulated { get; set; }
    }
}
