namespace Domain.Migrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class Updatedmodelnames : DbMigration
    {
        public override void Up()
        {
            DropForeignKey("dbo.DataAttributes", "Case_Id", "dbo.Cases");
            DropForeignKey("dbo.Cases", "DataClass_Id", "dbo.DataClasses");
            DropForeignKey("dbo.Cases", "DataSet_Id", "dbo.DataSets");
            DropIndex("dbo.DataAttributes", new[] { "Case_Id" });
            DropIndex("dbo.Cases", new[] { "DataClass_Id" });
            DropIndex("dbo.Cases", new[] { "DataSet_Id" });
            CreateTable(
                "dbo.DataCases",
                c => new
                    {
                        Id = c.Int(nullable: false, identity: true),
                        DataClass_Id = c.Int(),
                        DataSet_Id = c.Int(),
                    })
                .PrimaryKey(t => t.Id)
                .ForeignKey("dbo.DataClasses", t => t.DataClass_Id)
                .ForeignKey("dbo.DataSets", t => t.DataSet_Id)
                .Index(t => t.DataClass_Id)
                .Index(t => t.DataSet_Id);
            
            AddColumn("dbo.DataAttributes", "DataCase_Id", c => c.Int());
            CreateIndex("dbo.DataAttributes", "DataCase_Id");
            AddForeignKey("dbo.DataAttributes", "DataCase_Id", "dbo.DataCases", "Id");
            DropColumn("dbo.DataAttributes", "Case_Id");
            DropTable("dbo.Cases");
        }
        
        public override void Down()
        {
            CreateTable(
                "dbo.Cases",
                c => new
                    {
                        Id = c.Int(nullable: false, identity: true),
                        DataClass_Id = c.Int(),
                        DataSet_Id = c.Int(),
                    })
                .PrimaryKey(t => t.Id);
            
            AddColumn("dbo.DataAttributes", "Case_Id", c => c.Int());
            DropForeignKey("dbo.DataCases", "DataSet_Id", "dbo.DataSets");
            DropForeignKey("dbo.DataCases", "DataClass_Id", "dbo.DataClasses");
            DropForeignKey("dbo.DataAttributes", "DataCase_Id", "dbo.DataCases");
            DropIndex("dbo.DataCases", new[] { "DataSet_Id" });
            DropIndex("dbo.DataCases", new[] { "DataClass_Id" });
            DropIndex("dbo.DataAttributes", new[] { "DataCase_Id" });
            DropColumn("dbo.DataAttributes", "DataCase_Id");
            DropTable("dbo.DataCases");
            CreateIndex("dbo.Cases", "DataSet_Id");
            CreateIndex("dbo.Cases", "DataClass_Id");
            CreateIndex("dbo.DataAttributes", "Case_Id");
            AddForeignKey("dbo.Cases", "DataSet_Id", "dbo.DataSets", "Id");
            AddForeignKey("dbo.Cases", "DataClass_Id", "dbo.DataClasses", "Id");
            AddForeignKey("dbo.DataAttributes", "Case_Id", "dbo.Cases", "Id");
        }
    }
}
