namespace Domain.Migrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class AddedrelatedAttributesandalgorithmType : DbMigration
    {
        public override void Up()
        {
            AddColumn("dbo.AttributeTypes", "AttributeType_Id", c => c.Int());
            AddColumn("dbo.DataSets", "AlgorithmType", c => c.Int(nullable: false));
            CreateIndex("dbo.AttributeTypes", "AttributeType_Id");
            AddForeignKey("dbo.AttributeTypes", "AttributeType_Id", "dbo.AttributeTypes", "Id");
        }
        
        public override void Down()
        {
            DropForeignKey("dbo.AttributeTypes", "AttributeType_Id", "dbo.AttributeTypes");
            DropIndex("dbo.AttributeTypes", new[] { "AttributeType_Id" });
            DropColumn("dbo.DataSets", "AlgorithmType");
            DropColumn("dbo.AttributeTypes", "AttributeType_Id");
        }
    }
}
