﻿using System.Collections.Generic;
using Domain.DTO;
using Domain.DTO.DialogueModels;

namespace Master.Models
{
    public class DialogueModel
    {
        public class QuestionViewModel
        {
            public AttributeType Question { get; set; }
            public int QuestionId { get; set; }
            public string Answer { get; set; }
            public DataClass DataClass { get; set; }
            public bool Finished { get; set; }
            public List<ScoreObject> ScoreObjects { get; set; }
            public List<DataCase> DataCasesWithSameAttributes { get; set; }
            public int NumberOfAskedQuestions { get; set; }
            public string Message { get; set; }
            public List<DataAttribute> CurrentQuery { get; set; }
        }
    }
}